Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456309

Summary: Review Request: perl-Apache2-SOAP - A replacement for Apache::SOAP designed to work with mod_perl 2
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Xavier Bachelot <xavier>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---Flags: xavier: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-23 16:43:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Remi Collet 2008-07-22 18:35:27 UTC
Spec URL: http://remi.fedorapeople.org/perl-Apache2-SOAP.spec
SRPM URL: http://remi.fedorapeople.org/perl-Apache2-SOAP-0.73-1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/perl-Apache2-SOAP-build.log
Description: 
This Apache Perl module provides the ability to add support for SOAP
(Simple Object Access Protocol) protocol with easy configuration
(either in .conf or in .htaccess file). This functionality should
give you lightweight option for hosting SOAP services and greatly
simplify configuration aspects. This module inherites functionality
from SOAP::Transport::HTTP2::Apache component of SOAP::Lite module.

-- 
This pachage is required by ocsinventory.

rpmlint is silent.
build in mock and koji are ok.

A don't know if keeping "make test" (which run apache) is really a good idea...

Comment 1 Xavier Bachelot 2008-07-23 00:08:04 UTC
+ source files match upstream : e0c376abd24b9b494d0ee60b8eeecefb
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ latest version is being packaged.

- BuildRequires are proper :
BR: mod_perl-devel is not needed, it's already brought in by BR: perl(ModPerl::MM).

+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock.
+ package installs properly
+ rpmlint is silent
+ final provides and requires are sane

? %check is present and all tests pass
I'm not sure make test will succeed inside of koji.

+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

Everything but the superfluous BuildRequires: looks good. Please fix it before
importing. I'm a bit unsure about what to do with the tests, but it can still be
fixed later if koji doesn't like them. Also, I'm not fond of the perlname define
but this is cosmetic.
APPROVED.

Comment 2 Remi Collet 2008-07-23 04:49:33 UTC
New Package CVS Request
=======================
Package Name:perl-Apache2-SOAP
Short Description: A replacement for Apache::SOAP designed to work with mod_perl 2
Owners: remi
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes



Comment 3 Kevin Fenzi 2008-07-23 15:43:21 UTC
cvs done.

Comment 4 Fedora Update System 2008-07-23 16:24:32 UTC
perl-Apache2-SOAP-0.73-1.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-07-23 16:35:02 UTC
perl-Apache2-SOAP-0.73-1.fc8 has been submitted as an update for Fedora 8

Comment 6 Fedora Update System 2008-08-12 18:19:20 UTC
perl-Apache2-SOAP-0.73-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-08-12 18:21:16 UTC
perl-Apache2-SOAP-0.73-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.